# type: ignore
# pylint: skip-file
#  -*- coding: utf-8 -*
#
# This file is part of the SKA Low CBF project
#
#
# Distributed under the terms of the BSD 3-clause new license.
# See LICENSE for more info.
#
# This file provides names of U55C monitoring points and min/max values
#
# The names of monitored parameters (fpga_temperature etc) come from XrtInfo
# properties, see https://gitlab.com/ska-telescope/low-cbf/ska-low-cbf-fpga/-/blob/main/src/ska_low_cbf_fpga/xrt_info.py#L41
# Something like this could give you a summary:
#   $ grep -A3 @property ska-low-cbf-fpga/src/ska_low_cbf_fpga/xrt_info.py
# NOTE: `label` and 'units' can be used on Taranta dashboard for generated Tango attribute
---
monitoring_points:
  fpga_temperature:
    min: 5.0
    max: 105.0
    label: FPGA temperature
    units: "℃"
  fpga_power:
    min: 0.0
    max: 150.0
    label: FPGA power
    units: W
  hbm_temperature:
    min: 0.0
    max: 100.0
    label: HBM temperature
    units: "℃"
  power_supply_12v_voltage:
    min: 11.4
    max: 12.6
    label: 'AUX 12V supply voltage'
    units: V
  power_supply_12v_current:
    min: 0.0
    max: 12.5
    label: 'AUX 12V supply current'
    units: A
  pcie_12v_voltage:
    min: 11.4
    max: 12.6
    label: PCIe 12V supply voltage
    units: V
  pcie_12v_current:
    min: 0.0
    max: 12.5
    label: PCIe 12V supply current
    units: A
...
